%define Name docbook-style-xsl
%define version 1.70.1
%define Release %mkrel 1

Name:		%{Name}
Version:	%{version}
Release:	%{Release}
Group:		Publishing

Summary:	Norman Walsh's modular stylesheets for DocBook

License:	Artistic style
URL:		http://sourceforge.net/projects/docbook

Provides:	docbook-xsl = %{version}
Requires:	docbook-dtd-xml
Requires(pre):	sgml-common >= 0.6.3-2mdk
# BuildRequires:	gcj-tools

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot 

Source0:	http://prdownloads.sourceforge.net/docbook/docbook-xsl-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/docbook/docbook-xsl-doc-%{version}.tar.bz2
%define Release 1mdk

BuildArch:	noarch

%define sgmlbase %{_datadir}/sgml/

%Description
These XSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.

%package doc
Summary         : Documentation for DocBook stylesheets
Group       	: Books/Computer books

%description doc
This package contains the documentation for these stylesheets:
structure, customization, etc.
 

%prep
%setup -n docbook-xsl-%{version} -q
%setup -D -n docbook-xsl-%{version} -q -T -b 1

%build
# index jar files to please rpmlint
# jar -i extensions/*.jar

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/docbook/xsl-stylesheets-%{version} 
# Camille 2006-05-29: those are dummy files to be removed in future releases
rm -f doc/*/param.html doc/pi/pi.html
cp -a VERSION common eclipse extensions fo html htmlhelp images javahelp lib template xhtml manpages profiling params slides tools website wordml $RPM_BUILD_ROOT%{sgmlbase}/docbook/xsl-stylesheets-%{version}  

ln -sf xsl-stylesheets-%{version} \
	$RPM_BUILD_ROOT%{sgmlbase}/docbook/xsl-stylesheets

%clean
rm -rf $RPM_BUILD_ROOT

#fix old buggy postun
%triggerpostun -- docbook-style-xsl < 1.67.2-2mdk
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
	"http://docbook.sourceforge.net/release/xsl/%{version}" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
	"http://docbook.sourceforge.net/release/xsl/%{version}" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
	"http://docbook.sourceforge.net/release/xsl/current" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
	"http://docbook.sourceforge.net/release/xsl/current" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG


%post
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
	"http://docbook.sourceforge.net/release/xsl/%{version}" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
	"http://docbook.sourceforge.net/release/xsl/%{version}" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
	"http://docbook.sourceforge.net/release/xsl/current" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
	"http://docbook.sourceforge.net/release/xsl/current" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG


%postun
# do not remove on upgrade
CATALOG=/etc/xml/catalog
if [ "$1" = "0" -a -x %{_bindir}/xmlcatalog -a -f $CATALOG ]; then
  %{_bindir}/xmlcatalog --noout --del \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
fi

%files
%defattr (-,root,root)
%doc BUGS TODO README VERSION NEWS RELEASE* INSTALL
%{sgmlbase}/docbook/xsl-stylesheets-%{version}
%{sgmlbase}/docbook/xsl-stylesheets

%files doc
%defattr (-,root,root)
%doc doc docsrc

%changelog 
* Mon May 29 2006 Camille Begnis <camille@mandriva.com> 1.70.1-1mdv2007.0
- 1.70.1

* Tue Aug 16 2005 Camille Begnis <camille@mandriva.com> 1.69.1-1mdk
- 1.69.1
- replaces prereq with Requires(pre)

* Mon Jul 18 2005 Camille Begnis <camille@mandrakesoft.com> 1.69.0-1mdk
- 1.69.0
- doc is now in a separate archive

* Thu Feb 24 2005 Camille Begnis <camille@mandrakesoft.com> 1.68.1-1mdk
- 1.68.1

* Thu Feb 24 2005 Camille Bgnis <camille@mandrakesoft.com> 1.67.2-3mdk
- Rebuild

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.67.2-2mdk 
- Fix catalog registration on upgrade/uninstall

* Thu Dec  2 2004 Camille Begnis <camille@mandrakesoft.com> 1.67.2-1mdk
- 1.67.2
- remove unneeded libxml2-utils prereq...

* Tue Nov 23 2004 Camille Begnis <camille@mandrakesoft.com> 1.67.0-2mdk
- fix license to please rpmlint
- added libxml2-utils prereq for xmlcatalog [Bug 12470]

* Fri Nov 19 2004 Camille Begnis <camille@mandrakesoft.com> 1.67.0-1mdk
- 1.67.0
- adjust installation accordingly

* Mon Sep 13 2004  <camille@mandrakesoft.com> 1.66.0-1mdk
- New release 1.66.0

* Tue Apr 27 2004  <camille@mandrakesoft.com> 1.65.1-1mdk
- New release 1.65.1

* Tue Dec 16 2003 Camille Begnis <camille@mandrakesoft.com> 1.64.0-1mdk
- 1.64.0

* Mon Oct  6 2003 Camille Begnis <camille@mandrakesoft.com> 1.62.4-1mdk
- 1.62.4
- common/fr.xml is taken from mailing list, not stock archive in SF.net

* Mon Jul  7 2003  <camille@ke.mandrakesoft.com> 1.61.3-1mdk
- 1.61.3

* Fri May 23 2003  <camille@ke.mandrakesoft.com> 1.61.2-1mdk
- 1.61.2

* Mon May 19 2003  <camille@ke.mandrakesoft.com> 1.61.1-1mdk
- 1.61.1

* Mon May 12 2003  <camille@ke.mandrakesoft.com> 1.61.0-1mdk
- 1.61.0

* Wed Mar 12 2003  <camille@ke.mandrakesoft.com> 1.60.1-2mdk
- Added missing manpages/  profiling/ tools/ htmlhelp/ subdirs (thx sebd)
- remove doc/ from main package (in doc mackage) 

* Mon Feb  3 2003  <camille@ke.mandrakesoft.com> 1.60.1-1mdk
- 1.60.1

* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 1.59.2-1mdk
- 1.59.2 (geeze)

* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 1.59.1-1mdk
- 1.59.1

* Fri Nov 29 2002  <camille@ke.mandrakesoft.com> 1.58.1-1mdk
- 1.58.1

* Thu Oct 31 2002  <camille@ke.mandrakesoft.com> 1.57.0-1mdk
- 1.57.0

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.53.0-2mdk
- split doc in its own package

* Mon Jul 29 2002 Camille Begnis <camille@mandrakesoft.com> 1.53.0-1mdk
- 1.53

* Tue Jul 16 2002 Camille Begnis <camille@mandrakesoft.com> 1.52.2-1mdk
- 1.52.2

* Mon Jun 03 2002 Camille Begnis <camille@mandrakesoft.com> 1.51.1-1mdk
- 1.51.1

* Mon Jun 03 2002 Camille Begnis <camille@mandrakesoft.com> 1.51.0-1mdk
- 1.51.0

* Fri Mar 22 2002 Camille Begnis <camille@mandrakesoft.com> 1.50.0-1mdk
- 1.50

* Thu Feb 21 2002 Camille Begnis <camille@mandrakesoft.com> 1.49-1mdk
- 1.49

* Mon Feb 04 2002 Camille Begnis <camille@mandrakesoft.com> 1.48-3mdk
- Fix file URLs for xmlcatalog in post scripts

* Thu Jan 24 2002 Camille Begnis <camille@mandrakesoft.com> 1.48-2mdk
- use xmlcatalog from libxml-utils instead of install-catalog
- add support for XML catalogs as supported by libxml2 (xsltproc)

* Mon Jan 07 2002 Camille Begnis <camille@mandrakesoft.com> 1.48-1mdk
- 1.48

* Fri Dec 14 2001 Camille Begnis <camille@mandrakesoft.com> 1.47-1mdk
- 1.47

* Thu Oct 25 2001 Camille Begnis <camille@mandrakesoft.com> 1.45-1mdk
- 1.45
 
* Wed Aug 22 2001 Camille Begnis <camille@mandrakesoft.com> 1.44-1mdk
- 1.44

* Tue Jul 03 2001 Camille Begnis <camille@mandrakesoft.com> 1.40-1mdk
- 1.40
- remove jade require
- update URL and Source (now on sourceforge)
- add a linkk from {sgmlbase}/docbook/xsl-stylesheets to xsl-stylesheets-{Version}

* Mon Jun 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.29-4mdk
- Merge patches from Abel Cheung:
- Remove extraneous character in Summary
- s/Copyright/License/
- Source is not downloadable itself, it's just a re-compressed archive
- Rearrange BuildArch to bottom, no idea why source and patch refuses
  to be removed otherwise
- More macros
- Removed useless variable
- Simplify %%files

* Tue Feb 27 2001 Camille Begnis <camille@mandrakesoft.com> 1.29-3mdk
- The VERSION file is in fact a stylesheet...

* Thu Feb 15 2001 Camille Begnis <camille@mandrakesoft.com> 1.29-2mdk
- Remove jade prereq

* Fri Feb 09 2001 Camille Begnis <camille@mandrakesoft.com> 1.29-1mdk
- 1.29
- move doc directory to {docdir}
- remove docsrc

* Fri Jan 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.24-1mdk
- 1.24
- fix bin permissions

* Thu Nov 14 2000 Camille Begnis <camille@mandrakesoft.com> 1.18-1mdk
- New
- Much work To do: file perms, catalog?
